### Method

# EBackend ServerSideSource set_writable

since: 3.6

#### Declaration [src]

    void
    e_server_side_source_set_writable (
      EServerSideSource* source,
      gboolean writable
    )

#### Description [src]

Sets whether to allow registry clients to alter the content of `source`. If `TRUE`, the Writable D-Bus interface is exported at the object path for `source`. If `FALSE`, the Writable D-Bus interface is unexported at the object path for `source`, and any attempt by clients to call `e_source_write()` will fail.

Note this is only enforced for clients of the registry D-Bus service. The service itself can write to any data source at any time.

Available since: 3.6

Sets property | `EBackend.ServerSideSource:writable`

#### Parameters

`writable`

  Type: `gboolean`

  Whether to export the Writable interface.